# Maxman

Maxman is a simple game inspired by classics such as `Pacman`, `Achtung, die Kurve!` (also known as `Zatacka`), and `Snake`.

The basic goal is to grow by eating the food lying around until you're big enough to eat your competitors.


## Getting started

The game's requirements are listed in `Pipfile`, so you can just install them with `pipenv install`.
To run the game after installing the requirements, use `pipenv run ./maxman.py`


## Controls

Per default, each player has their own key bindings (up, left, down, right):
* Maxman (yellow): `w`, `a`, `s`, `d`
* Blackman (black): `i`, `j`, `k`, `l`

Other key bindings are:
* `SPACE`: Pause/resume


## Playing against AI

If you want to play against the AI instead of other players, supply the corresponding CLI flag: `pipenv run ./maxman.py --ai <number of AI players>`
